/get-pki-certificateAsk AIpost https://api.akeyless.io/get-pki-certificateBody Paramsalt-namesstringThe Subject Alternative Names to be included in the PKI certificate (in a comma-separated list) (if CSR is supplied this flag is ignored and any DNS.* names are taken from it)cert-issuer-namestringrequiredThe name of the PKI certificate issuercommon-namestringThe common name to be included in the PKI certificate (if CSR is supplied this flag is ignored and the CSR subject CN is taken)csr-data-base64stringCertificate Signing Request contents encoded in base64 to generate the certificate withextended-key-usagestringA comma-separated list of extended key usage requests which will be used for certificate issuance. Supported values: 'clientauth', 'serverauth', 'codesigning'. If critical is present the extension will be marked as criticalextra-extensionsstringA json string that defines the requested extra extensions for the certificatejsonbooleanDefaults to falseSet output format to JSONtruefalsekey-data-base64stringPKI key file contents. If this option is used, the certificate will be printed to stdoutmax-path-lenint64Defaults to -1The maximum path length for the generated certificate. -1, means unlimited unless the signing certificate has a maximum path length settokenstringAuthentication token (see /auth and /configure)ttlstringUpdated certificate lifetime in seconds (must be less than the Certificate Issuer default TTL)uid-tokenstringThe universal identity token, Required only for universal_identity authenticationuri-sansstringThe URI Subject Alternative Names to be included in the PKI certificate (in a comma-separated list) (if CSR is supplied this flag is ignored and any URI.* names are taken from it)Responses 200getPKICertificateResponse wraps response body. defaulterrorResponse wraps any error to return it as a JSON object with one "error" field.Updated 7 months ago